summaryrefslogtreecommitdiff
path: root/dev-util/diffuse
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-util/diffuse
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-util/diffuse')
-rw-r--r--dev-util/diffuse/Manifest2
-rw-r--r--dev-util/diffuse/diffuse-0.10.0.ebuild50
-rw-r--r--dev-util/diffuse/diffuse-0.11.0.ebuild50
-rw-r--r--dev-util/diffuse/metadata.xml11
4 files changed, 113 insertions, 0 deletions
diff --git a/dev-util/diffuse/Manifest b/dev-util/diffuse/Manifest
new file mode 100644
index 000000000000..fd057505a102
--- /dev/null
+++ b/dev-util/diffuse/Manifest
@@ -0,0 +1,2 @@
+DIST diffuse-0.10.0.tar.gz 1195918 BLAKE2B dfdf98c063ea94f851bf593a40d500a448afd06ee2eb6c7826e4ae16900c9ea327f41369cbb33a5cee7224f4428e43f4a8ce88ba3a44fbb36d6b880161670091 SHA512 7ac19f52cb5907069286275d610ff8656f5559ebc9935e03ae25b56c19682c90534373a50528bdc8c6912baa1c1fa6b5de5ab4d85451f29a841bf2039c5a627d
+DIST diffuse-0.11.0.tar.gz 1196149 BLAKE2B 94669225b687d0e895c5bec0dfc2713d67e43e857c14b6bdeb68fab780cf913c257318dbd66660123eb7e763fef80633f7929a6c89ec0c75c2229c3f1fa50308 SHA512 3073430d91a4dbb61384eea22ab7527516906bc95debd4b381cb6e593d51c707204e164629c1dcfaffdbf4cc16448cc4b051b58e8890ad20d7089b135a6eaf45
diff --git a/dev-util/diffuse/diffuse-0.10.0.ebuild b/dev-util/diffuse/diffuse-0.10.0.ebuild
new file mode 100644
index 000000000000..855919f90a8c
--- /dev/null
+++ b/dev-util/diffuse/diffuse-0.10.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{13..14} )
+PLOCALES="cs de es fr it ja ka ko nl pl pt pt_BR ru sv th tr zh_CN zh_TW"
+inherit meson plocale python-r1 xdg
+
+DESCRIPTION="A graphical tool to compare and merge text files"
+HOMEPAGE="https://mightycreak.github.io/diffuse/ https://github.com/MightyCreak/diffuse/"
+SRC_URI="https://github.com/MightyCreak/diffuse/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP},cairo]
+ ')
+ x11-libs/gtk+:3[introspection]
+ !sci-chemistry/tinker"
+# file collision, bug #279018
+
+src_prepare() {
+ default
+ plocale_find_changes po '' '.po'
+
+ rm_locale() {
+ rm -f po/${1}.po
+ rm -rf data/usr/share/man/${1}
+ rm -rf data/usr/share/gnome/help/${PN}/$1
+ rm -f data/usr/share/omf/${PN}/${PN}-$1.omf
+ sed -e "/^${1}/d" -i po/LINGUAS
+ }
+
+ plocale_for_each_disabled_locale rm_locale
+}
+
+src_install() {
+ meson_src_install
+ rm "${D}"/usr/bin/${PN} || die "rm ${PN} failed"
+ python_foreach_impl python_doscript ../${P}-build/src/${PN}/${PN}
+ mkdir "${D}"/usr/share/metainfo || die "mkdir metainfo failed"
+ mv "${D}"/usr/share/appdata/* "${D}"/usr/share/metainfo/ \
+ || die "mv appdata -> metainfo failed"
+ dodoc AUTHORS CHANGELOG.md README.md
+}
diff --git a/dev-util/diffuse/diffuse-0.11.0.ebuild b/dev-util/diffuse/diffuse-0.11.0.ebuild
new file mode 100644
index 000000000000..0ff3a60f978a
--- /dev/null
+++ b/dev-util/diffuse/diffuse-0.11.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{13..14} )
+PLOCALES="cs de es fr it ja ka ko nl pl pt pt_BR ru sv th tr zh_CN zh_TW"
+inherit meson plocale python-r1 xdg
+
+DESCRIPTION="A graphical tool to compare and merge text files"
+HOMEPAGE="https://mightycreak.github.io/diffuse/ https://github.com/MightyCreak/diffuse/"
+SRC_URI="https://github.com/MightyCreak/diffuse/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP},cairo]
+ ')
+ x11-libs/gtk+:3[introspection]
+ !sci-chemistry/tinker"
+# file collision, bug #279018
+
+src_prepare() {
+ default
+ plocale_find_changes po '' '.po'
+
+ rm_locale() {
+ rm -f po/${1}.po
+ rm -rf data/usr/share/man/${1}
+ rm -rf data/usr/share/gnome/help/${PN}/$1
+ rm -f data/usr/share/omf/${PN}/${PN}-$1.omf
+ sed -e "/^${1}/d" -i po/LINGUAS
+ }
+
+ plocale_for_each_disabled_locale rm_locale
+}
+
+src_install() {
+ meson_src_install
+ rm "${D}"/usr/bin/${PN} || die "rm ${PN} failed"
+ python_foreach_impl python_doscript ../${P}-build/src/${PN}/${PN}
+ mkdir "${D}"/usr/share/metainfo || die "mkdir metainfo failed"
+ mv "${D}"/usr/share/appdata/* "${D}"/usr/share/metainfo/ \
+ || die "mv appdata -> metainfo failed"
+ dodoc AUTHORS CHANGELOG.md README.md
+}
diff --git a/dev-util/diffuse/metadata.xml b/dev-util/diffuse/metadata.xml
new file mode 100644
index 000000000000..2b41d624d4c8
--- /dev/null
+++ b/dev-util/diffuse/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>grozin@gentoo.org</email>
+ <name>Andrey Grozin</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">MightyCreak/diffuse</remote-id>
+ </upstream>
+</pkgmetadata>